WhatsNext:AddConditionalStatement("Holy Power",{
	category = "Paladin",
	test = function(checkTable) 
		return tonumber(checkTable.amount) <= UnitPower("player" ,9)
	end,
	text = function(checkTable) 
		return "player has at least " .. tostring(checkTable.amount) .. " holy power."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

WhatsNext:AddConditionalStatement("Seal",{
	category="Paladin",
	test = function(checkTable)
		return WN_GetSpellName(checkTable.seal) == (GetShapeshiftForm() and GetShapeshiftForm() > 0 and select(2,GetShapeshiftFormInfo(GetShapeshiftForm())) or 0)
	end,
	text = function(checkTable)
		return "player's active seal is "..WN_GetSpellName(checkTable.seal).. "."
	end,
	arguments = {
		seal = {type = "dropdown", default = "31801", possibleValues = {["31801"]=WN_GetSpellName(31801),["20154"]=WN_GetSpellName(20154),["20165"]=WN_GetSpellName(20165),["105361"]=WN_GetSpellName(105361), }},
	}
})